Sobre el uso del DNIe en productos Mozilla

Publicar una respuesta


Esta pregunta es una forma de evitar inserciones automatizadas por spambots.
Emoticonos
:-) ;) :rolls eyes: :-/ :-( =-O :-D :-* :-P :-[ :-! 8-) :bitchin:
Ver más emoticonos

BBCode está habilitado
[img] está habilitado
[Flash] está deshabilitado
[url] está habilitado
Emoticonos están habilitados

Revisión de tema
   

Expandir vista Revisión de tema: Sobre el uso del DNIe en productos Mozilla

Sobre el uso del DNIe en productos Mozilla

Mensaje por hamerlinck » Mar Abr 19, 2016 9:26 pm

Hola, parece que el uso del DNIe en las plataformas windows 7 y posteriores va a peor para Mozilla tanto Firefox como SeaMonkey.

En mi ordenador anterior con XP y un lector bit4id el módulo criptográfico del DNIe versión 6 funcionaba correctamente: bastaba con cargar en seamonkey el módulo windows\system32\usrpkcs11.dll y a funcionar. Las repetidas peticiones del PIN eran un problema menor.

Sin embargo las versiones 9 y posteriores orientados al nuevo sistema de plug and play de windows 7 y posteriores tenían en XP un problema: windows pide el PIN pero IE no ve los certificados , pero en Mozilla cargamos DNIe_priv.dll y DNIe_pub.dll si que funcionaba. Finalmente me vi obligado a desinstalar todo e instalar la versión 6.

Pero con mi cambio de ordenador, esta vez con windows 7 64bit y lector multitarjeta de coolbox CR600, los módulos criptográficos tienen un comportamiento mas errático: tanto en el entorno de IE como de Mozilla me pide el PIN, pero tanto si miro en opciones internet-> contenido -> certificados o en preferencias -> privacidad y seguridad -> certificados unas veces no se ve nada , otra vez uno de los 2 certificados que contiene el DNIe , otra vez ambos ( como debe ser) .

Por otra parte en las descargas de coolbox figura un aviso de que en Firefox bajo windows8 hay fallos debido al cambio de sistema en el manejo de certificados.

Ya se que el DNIe tiene una muy mala fama, bastante merecida, pero me gustaría saber qué esfuerzos se están haciendo para que funcione de una puñetera vez.

Parece que me estoy en un abuelo protestón: las versiones antiguas funcionaban mejor.

Arriba